#!/bin/bash
clear

echo "--------------------------------------------------------------------------------"
echo "-------------------------------- MAKE PROCESS ----------------------------------"
echo "--------------------------------------------------------------------------------"
make all

#------------------------------------------------------------------------------------------------------
INPUT_FILE_HEADER="JobA"
PRIMARY_INPUT="$INPUT_FILE_HEADER/$INPUT_FILE_HEADER"_Post

PRIMARY_INPUT_DATA_FILENAME="$PRIMARY_INPUT".xml
INTERM_FILE_REACTIONS="$PRIMARY_INPUT"_Reactions_Interm_File.dat
INTERM_FILE_SPECIES="$PRIMARY_INPUT"_Species_Interm_File.dat
echo
echo
echo "------------- MERCURY LAUNCH! - Processing $INPUT_FILE_HEADER ------------------"
./MERCURY $PRIMARY_INPUT_DATA_FILENAME $INTERM_FILE_REACTIONS $INTERM_FILE_SPECIES
echo
echo

#------------------------------------------------------------------------------------------------------
INPUT_FILE_HEADER="JobB"
PRIMARY_INPUT="$INPUT_FILE_HEADER/$INPUT_FILE_HEADER"_Post

PRIMARY_INPUT_DATA_FILENAME="$PRIMARY_INPUT".xml
INTERM_FILE_REACTIONS="$PRIMARY_INPUT"_Reactions_Interm_File.dat
INTERM_FILE_SPECIES="$PRIMARY_INPUT"_Species_Interm_File.dat
echo
echo
echo "------------- MERCURY LAUNCH! - Processing $INPUT_FILE_HEADER ------------------"
./MERCURY $PRIMARY_INPUT_DATA_FILENAME $INTERM_FILE_REACTIONS $INTERM_FILE_SPECIES
echo
echo

#------------------------------------------------------------------------------------------------------
INPUT_FILE_HEADER="JobC"
PRIMARY_INPUT="$INPUT_FILE_HEADER/$INPUT_FILE_HEADER"_Post

PRIMARY_INPUT_DATA_FILENAME="$PRIMARY_INPUT".xml
INTERM_FILE_REACTIONS="$PRIMARY_INPUT"_Reactions_Interm_File.dat
INTERM_FILE_SPECIES="$PRIMARY_INPUT"_Species_Interm_File.dat
echo
echo
echo "------------- MERCURY LAUNCH! - Processing $INPUT_FILE_HEADER ------------------"
./MERCURY $PRIMARY_INPUT_DATA_FILENAME $INTERM_FILE_REACTIONS $INTERM_FILE_SPECIES
echo
echo

#------------------------------------------------------------------------------------------------------
INPUT_FILE_HEADER="JobD"
PRIMARY_INPUT="$INPUT_FILE_HEADER/$INPUT_FILE_HEADER"_Post

PRIMARY_INPUT_DATA_FILENAME="$PRIMARY_INPUT".xml
INTERM_FILE_REACTIONS="$PRIMARY_INPUT"_Reactions_Interm_File.dat
INTERM_FILE_SPECIES="$PRIMARY_INPUT"_Species_Interm_File.dat
echo
echo
echo "------------- MERCURY LAUNCH! - Processing $INPUT_FILE_HEADER ------------------"
./MERCURY $PRIMARY_INPUT_DATA_FILENAME $INTERM_FILE_REACTIONS $INTERM_FILE_SPECIES
echo
echo

#------------------------------------------------------------------------------------------------------
INPUT_FILE_HEADER="JobE"
PRIMARY_INPUT="$INPUT_FILE_HEADER/$INPUT_FILE_HEADER"_Post

PRIMARY_INPUT_DATA_FILENAME="$PRIMARY_INPUT".xml
INTERM_FILE_REACTIONS="$PRIMARY_INPUT"_Reactions_Interm_File.dat
INTERM_FILE_SPECIES="$PRIMARY_INPUT"_Species_Interm_File.dat
echo
echo
echo "------------- MERCURY LAUNCH! - Processing $INPUT_FILE_HEADER ------------------"
./MERCURY $PRIMARY_INPUT_DATA_FILENAME $INTERM_FILE_REACTIONS $INTERM_FILE_SPECIES
echo
echo

#------------------------------------------------------------------------------------------------------
INPUT_FILE_HEADER="JobF"
PRIMARY_INPUT="$INPUT_FILE_HEADER/$INPUT_FILE_HEADER"_Post

PRIMARY_INPUT_DATA_FILENAME="$PRIMARY_INPUT".xml
INTERM_FILE_REACTIONS="$PRIMARY_INPUT"_Reactions_Interm_File.dat
INTERM_FILE_SPECIES="$PRIMARY_INPUT"_Species_Interm_File.dat
echo
echo
echo "------------- MERCURY LAUNCH! - Processing $INPUT_FILE_HEADER ------------------"
./MERCURY $PRIMARY_INPUT_DATA_FILENAME $INTERM_FILE_REACTIONS $INTERM_FILE_SPECIES
echo
echo
